#!/bin/bash

echo "ServerName controller" >> /etc/apache2/apache2.conf
mkdir -p /var/www/cgi-bin/keystone
apt-get -y install curl
curl http://git.openstack.org/cgit/openstack/keystone/plain/httpd/keystone.py?h=stable/kilo | tee /var/www/cgi-bin/keystone/main /var/www/cgi-bin/keystone/admin
chown -R keystone:keystone /var/www/cgi-bin/keystone
chmod 755 /var/www/cgi-bin/keystone/*

service apache2 restart
rm -f /var/lib/keystone/keystone.db

export OS_TOKEN=ee173fc22384618b472e
export OS_URL=http://controller:35357/v2.0
openstack service create --name keystone --description "OpenStack Identity" identity

openstack endpoint create --publicurl http://controller:5000/v2.0 --internalurl http://controller:5000/v2.0 --adminurl http://controller:35357/v2.0 --region RegionOne identity
openstack project create --description "Admin Project" admin
openstack user create --password=xxxx admin
openstack role create admin
openstack role add --project admin --user admin admin
openstack project create --description "Demo Project" demo
openstack user create --password=xxxx demo
openstack role create user
openstack role add --project demo --user demo user
